## python-twitter 0.6-maemo1

=== Makefile ===
compile:
	python2.5 setup.py build

install:
	python2.5 setup.py install --root $(DESTDIR)

clean:
	python2.5 setup.py clean

## python-twitter 0.6-1maemo2

=== debian/changelog ===
python-twitter (0.6-1maemo2) maemo; urgency=low

  * added python2.5 as dep if python is missing

 -- Thomas Pietrowski <thopiekar@googlemail.com>  Wed, 17 Mar 2010 19:57:26 +0100

python-twitter (0.6-0ubuntu1) karmic; urgency=low

  * New upstream release: (LP: #389276)
    - Support hashlib in addition to the older md5 library.
      (LP: #389258)
    - Added page parameter to GetReplies, GetFriends, GetFollowers, and GetDirectMessages
    - Added count parameter to GetFriendsTimeline
    - Add PostUpdates, which automatically splits long text into multiple updates.
    - Add in_reply_to_status_id to api.PostUpdate
    - Wrap any error responses in a TwitterError
    - Add since_id to GetFriendsTimeline and GetUserTimeline
    - Added since and since_id to Api.GetReplies
    - Added new properties to User and Status classes.
    - Removed spurious self-import of the twitter module
    - Added a NOTICE file
    - Require simplejson 2.x or later
    - Added get/create/destroy favorite flags for status messages.
    - Bug fix for non-tty devices.
    - Unset the executable bit on README.
  * debian/patches
    - drop old patches, no longer needed
    - add 10_python_versions.dpatch to use /usr/bin/python as 
      interpreter, not /usr/bin/python2.4
  * debian/control
    - Update depend on python-simplejson to >= 2.0
  * debian/tweet.1
    - Fix typo
  * debian/rules
    - include final newline to make dpkg-source happy

 -- Andreas Moog <amoog@ubuntu.com>  Fri, 19 Jun 2009 03:43:52 +0200

python-twitter (0.5-3) unstable; urgency=low

  * Now build-depends on dpatch.
  * Added a patch to replace the old (0.4) doc file, 
    for the correct one (0.5) (Closes: #519266)
  * Added a 2nd patch to fix the Lintian error
    'file-in-usr-lib-site-python' and removed the sed line in 
    debian/rules with a hardcoded path which will made FTBFS 
    with the upcoming version of python-support (Closes: #517216)
  * Also I changed my email-address in debian/control. 
    Gmail eat my shorts :-)
  * Bumped Standard-Version to 3.8.1

 -- Mauro Lizaur <mauro@cacavoladora.org>  Wed, 18 Mar 2009 03:41:02 -0300

python-twitter (0.5-2) unstable; urgency=low

  * Fixed lintian error 'copyright-file-contains-full-apache-2-license'
  * Standards-Version updated to 3.8.0

 -- Mauro Lizaur <lavaramano@gmail.com>  Fri, 1 Jul 2008 17:20:33 -0300

python-twitter (0.5-1) unstable; urgency=low

  * Initial release (Closes: #463724)

 -- Mauro Lizaur <lavaramano@gmail.com>  Sat, 02 Feb 2008 17:55:12 -0300

=== debian/control ===
Source: python-twitter
Section: python
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Mauro Lizaur <mauro@cacavoladora.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
XS-Python-Version: all
Build-Depends: debhelper (>= 5), python (>= 2.3.5-11) | python2.5, python-dev | python2.5-dev, dpatch
Build-Depends-Indep: python-support (>= 0.6.4)
Standards-Version: 3.8.1
Homepage: http://code.google.com/p/python-twitter/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-twitter/trunk
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/python-twitter/trunk/?op=log	

Package: python-twitter
Architecture: all
Depends: python (>= 2.3.5-11) | python2.5, python-simplejson (>= 2.0)
Description: Twitter API wrapper for Python
 This library provides a pure Python interface for the Twitter API.
 .
 Twitter provides a service that allows people to connect via the web, IM, and
 SMS. Twitter exposes a web services API (http://twitter.com/help/api) and this
 library is intended to make it even easier for Python programmers to use.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpatch/dpatch.make

PYVERS=$(shell pyversions -r)
d=debian/python-twitter

build: build-stamp

build-stamp: patch-stamp

clean:  unpatch
	dh_testdir
	python setup.py clean;
	rm -rf build-stamp build
	rm -rf $(d)
	dh_clean install-stamp

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_installdirs
	python setup.py install --root=$(d);

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs 
	dh_installchangelogs CHANGES
	dh_installman
	dh_compress -X.py
	install -m 755 $(CURDIR)/examples/tweet.py $(CURDIR)/$(d)/usr/bin/tweet
	install -m 755 $(CURDIR)/examples/twitter-to-xhtml.py $(CURDIR)/$(d)/usr/bin/twitter-to-xhtml
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

http://code.google.com/p/python-twitter/downloads/list http://python-twitter.googlecode.com/files/python-twitter-(.*)\.tar\.gz

## python-twitter 0.6-1maemo3

=== debian/changelog ===
python-twitter (0.6-1maemo3) maemo; urgency=low

  * set python2.5 as executable in [debian/rules], because python was set 

 -- Thomas Pietrowski <thopiekar@googlemail.com>  Thu, 18 Mar 2010 13:09:23 +0100 

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpatch/dpatch.make

PY = python2.5
d=debian/python-twitter

build: build-stamp

build-stamp: patch-stamp

clean:  unpatch
	dh_testdir
	$(PY) setup.py clean;
	rm -rf build-stamp build
	rm -rf $(d)
	dh_clean install-stamp

install: build install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_installdirs
	$(PY) setup.py install --root=$(d);

binary-indep: build install
	dh_testdir
	dh_testroot
	#dh_installdocs 
	#dh_installchangelogs CHANGES
	#dh_installman
	dh_compress -X.py
	install -m 755 $(CURDIR)/examples/tweet.py $(CURDIR)/$(d)/usr/bin/tweet
	install -m 755 $(CURDIR)/examples/twitter-to-xhtml.py $(CURDIR)/$(d)/usr/bin/twitter-to-xhtml
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## python-twitter 0.6-maemo1

=== debian/changelog ===
python-twitter (0.6-maemo1) unstable; urgency=low

  * Build using mud-builder by andrew

 -- Andrew Flegg <andrew@bleb.org>  Mon,  7 Sep 2009 21:40:49 +0100

python-twitter (0.6) unstable; urgency=low

  * Initial Release.

 -- Andrew Flegg <andrew@bleb.org>  Mon,  7 Sep 2009 21:43:48 +0100

=== debian/control ===
Source: python-twitter
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: python
Priority: extra
Maintainer: Andrew Flegg <andrew@bleb.org>
Build-Depends: python-imaging, python2.5, python-numeric, python-support
Standards-Version: 3.6.1

Package: python-twitter
Architecture: any
Depends: python-simplejson
Description: A pure python interface for the Twitter API.
  Twitter (http://twitter.com) provides a service that allows people to
  connect via the web, IM, and SMS. Twitter exposes a web services API
  (http://twitter.com/help/api) and this library is intended to make it
  even easier for python programmers to use.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/python-twitter.sgml > python-twitter.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/python-twitter.
	$(MAKE) DESTDIR=$(CURDIR)/debian/python-twitter install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs CHANGES
#	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## python-twitter 0.8.2

=== debian/changelog ===
python-twitter (0.8.2-2) unstable; urgency=low

  * debian/patches/20_remove_simplejson.patch
  * debian/control
    - remove simplejson from dependencies because it's merged with python 2.6
      and later (Closes: #568875)
    - remove python-httplib2 from dependencies because python-oauth depends
      on it

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Tue, 25 Sep 2012 21:21:54 +0900

python-twitter (0.8.2-1) unstable; urgency=low

  * New maintainer (Closes: #688463)
  * New upstream release (Closes: #587749)
  * debian/compat
    - up to 9
  * debian/control
    - update debhelper (>= 9.0.0)
    - update Standards-Version to 3.9.4
    - add dependencies: python-httplib2, python-oauth2
  * debian/copyright
    - change to machine readable format
  * debian/doc-base
    - add to support doc-base
  * debian/rules
    - use dh9
  * debian/patches
    - remove old style patches and use 3.0 quilt (Closes: #664376)
    - add 10_fix_shebang.patch to remove version numbers on shebang from
      executable scripts and remove shebangs on non-executable scripts
  * debian/tweet.1
    - fix spelling error: enviroment environment
  * debian/watch
    - fix the match pattern
  
 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 23 Sep 2012 17:10:25 +0900

python-twitter (0.6-1) unstable; urgency=low

  * New upstream release (Closes: #527055)
  * debian/patches:
    - dropped: 10_correct-05-doc.dpatch since it was corrected by upstream.
    - modified: 20_removes-hashbang.dpatch to work with this new release.
    - added: 30_removes_hardcoded_interpreter.dpatch which removes a 
	     hardcoded version of the Python interpreter.
  * Now Suggests www-browser to read the (HTML) documentation correctly.
  * Bumped Standard-Version to 3.8.2

 -- Mauro Lizaur <mauro@cacavoladora.org>  Sat, 11 Jul 2009 18:45:16 -0300

=== debian/control ===
Source: python-twitter
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Koichi Akabe <vbkaisetsu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python (>= 2.6.6-3), python-setuptools, python-oauth2
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/python-twitter/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-twitter/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-twitter/trunk/
X-Python-Version: >= 2.6
DM-Upload-Allowed: yes

Package: python-twitter
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: www-browser
Description: Twitter API wrapper for Python
 This library provides a pure Python interface for the Twitter API.
 .
 Twitter provides a service that allows people to connect via the web, IM, and
 SMS. Twitter exposes a web services API (http://twitter.com/help/api) and this
 library is intended to make it even easier for Python programmers to use.

## python-twitter 0.8.5

=== debian/changelog ===
python-twitter (0.8.5-1) unstable; urgency=low

  * New upstream release
  * debian/control
   - change Homepage
   - remove old style DMUA flag
  * debian/tweet.1, debian/twitter-to-xhtml.1
   - update documentations

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sat, 16 Feb 2013 15:34:03 +0900

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders: Koichi Akabe <vbkaisetsu@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), python (>= 2.6.6-3), python-setuptools, python-oauth2
 Standards-Version: 3.9.4
-Homepage: http://code.google.com/p/python-twitter/
+Homepage: https://github.com/bear/python-twitter
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-twitter/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-twitter/trunk/
 X-Python-Version: >= 2.6
-DM-Upload-Allowed: yes
 
 Package: python-twitter
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with python2 --buildsystem=python_distutils

override_dh_auto_install:
	dh_auto_install
	install -m 755 $(CURDIR)/examples/tweet.py $(CURDIR)/debian/python-twitter/usr/bin/tweet
	install -m 755 $(CURDIR)/examples/twitter-to-xhtml.py $(CURDIR)/debian/python-twitter/usr/bin/twitter-to-xhtml

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/python_twitter.egg-info

## python-twitter 1.0

=== debian/changelog ===
python-twitter (1.0-1) unstable; urgency=low

  * New upstream release (Closes: #712416)
   - support Twitter API 1.1 (old API is not supported)
   - remove GetPublicTimeline that is not supported

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 20 Jun 2013 18:41:26 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9.0.0), python (>= 2.6.6-3), python-setuptools, python-oauth2
 Standards-Version: 3.9.4
 Homepage: https://github.com/bear/python-twitter
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-twitter/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-twitter/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-twitter/trunk/
 X-Python-Version: >= 2.6

## python-twitter 1.1%2Bgit20131227

=== debian/control ===
Source: python-twitter
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Koichi Akabe <vbkaisetsu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python (>= 2.7), python-setuptools, python-requests-oauthlib, python-sphinx
Standards-Version: 3.9.5
Homepage: https://github.com/bear/python-twitter
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-twitter/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-twitter/trunk/
X-Python-Version: >= 2.7

Package: python-twitter
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: www-browser, python-twitter-doc
Description: Twitter API wrapper for Python
 This library provides a pure Python interface for the Twitter API.
 .
 Twitter provides a service that allows people to connect via the web, IM, and
 SMS. Twitter exposes a web services API (http://twitter.com/help/api) and this
 library is intended to make it even easier for Python programmers to use.

Package: python-twitter-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Replaces: python-twitter (<< 1.1+git20131227-1)
Breaks: python-twitter (<< 1.1+git20131227-1)
Description: Twitter API wrapper for Python: documentation files
 This library provides a pure Python interface for the Twitter API.
 .
 Twitter provides a service that allows people to connect via the web, IM, and
 SMS. Twitter exposes a web services API (http://twitter.com/help/api) and this
 library is intended to make it even easier for Python programmers to use.
 .
 This package contains documentation files.

## python-twitter 1.1+git20131227

=== requirements.txt ===
argparse==1.2.1
httplib2==0.7.7
wsgiref==0.1.2
requests==1.2.3
requests-oauthlib==0.3.3
simplejson==3.3.1
oauth2==1.5.211
oauthlib==0.6.0

=== debian/changelog ===
python-twitter (1.1+git20131227-2) unstable; urgency=medium

  * debian/control
   - change Priority to extra

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 26 Jan 2014 14:48:24 +0900

python-twitter (1.1+git20131227-1) unstable; urgency=medium

  * New upstream release
   - with the newest revision
  * debian/control
   - split the documentation to python-twitter-doc package
   - dependencies:
    - remove: python-oauth2
    - add: python-requests-oauthlib, python-sphinx
  * debian/patches/*.patch
   - update for new release
  * debian/rules
   - build sphinx documents on build time
   - add get-orig-source target

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Mon, 30 Dec 2013 11:14:50 +0900

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,11 @@
 #!/usr/bin/make -f
 
 %:
-	dh "$@" --with python2 --buildsystem=python_distutils
+	dh "$@" --with python2,sphinxdoc --buildsystem=python_distutils
+
+override_dh_auto_build:
+	dh_auto_build
+	cd $(CURDIR)/doc && $(MAKE) html
 
 override_dh_auto_install:
 	dh_auto_install
@@ -10,4 +14,42 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	cd $(CURDIR)/doc && $(MAKE) clean
 	rm -rf $(CURDIR)/python_twitter.egg-info
+
+override_dh_compress:
+	dh_compress -X.js -X.inv
+
+override_dh_sphinxdoc:
+	(! test -d $(CURDIR)/debian/python-twitter-doc || dh_sphinxdoc)
+
+PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
+PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
+VER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
+
+## http://wiki.debian.org/onlyjob/get-orig-source
+.PHONY: get-orig-source
+get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
+	@
+
+UURL = git://github.com/bear/python-twitter.git
+UDATE = $(shell date --rfc-3339=seconds --date='TZ="UTC" $(shell echo $(VER) | perl -ne 'print "$$1-$$2-$$3" if m/\+(?:git|svn|hg)(\d{4})(\d{2})(\d{2})/')')
+$(PKG)_$(VER)$(DTYPE).orig.tar.xz: $(info I: UDATE=$(UDATE))
+	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
+	@echo "# Downloading..."
+	git clone $(UURL) $(PKG)-$(VER) \
+	|| $(RM) -r $(PKG)-$(VER)
+	cd $(PKG)-$(VER) \
+	&& git checkout v$(VER) || git checkout $$(git log -n1 --format=%h --before="$(UDATE)") \
+	&& [ -s ChangeLog ] || ( echo "# Generating ChangeLog..." \
+	   ; git log --pretty="format:%ad  %aN  <%aE>%n%n%x09* %s%n" --date=short > ChangeLog \
+	   ; touch -d "$$(git log -1 --format='%ci')" ChangeLog) \
+	&& echo "# Setting times..." \
+	&& for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
+	&& echo "# Cleaning-up..." \
+	&& $(RM) -r simplejson doc/_build \
+	&& $(RM) -r .git .git*
+	@echo "# Packing..."
+	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
+	| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
+	&& $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=3

http://code.google.com/p/python-twitter/downloads/list?can=1 .*/python-twitter-(\d[\d.]*)\.tar\.gz

## python-twitter 3.3

=== Makefile ===

help:
	@echo "  env         install all production dependencies"
	@echo "  dev         install all dev and production dependencies (virtualenv is assumed)"
	@echo "  docs        build documentation"
	@echo "  clean       remove unwanted stuff"
	@echo "  lint        check style with flake8"
	@echo "  test        run tests"
	@echo "  coverage    run tests with code coverage"

env:
	pip install -Ur requirements.txt

pyenv:
	pyenv install -s 2.7.11
	pyenv install -s 3.6.1
	pyenv install -s pypy-5.3.1
	# pyenv install -s pypy3-2.4.0
	pyenv local 2.7.11 3.6.1 pypy-5.3.1 # pypy3-2.4.0

dev: env pyenv
	pip install -Ur requirements.testing.txt

info:
	@python --version
	@pyenv --version
	@pip --version

clean:
	rm -fr build
	rm -fr dist
	find . -name '*.pyc' -exec rm -f {} \;
	find . -name '*.pyo' -exec rm -f {} \;
	find . -name '*~' ! -name '*.un~' -exec rm -f {} \;

docs:
	$(MAKE) -C doc html

lint:
	pycodestyle --config={toxinidir}/setup.cfg twitter tests

test: lint
	python setup.py test

tox: clean
	tox

coverage: clean
	coverage run --source=twitter setup.py test --addopts "--ignore=venv"
	coverage html
	coverage report

ci: pyenv tox
	CODECOV_TOKEN=`cat .codecov-token` codecov

build: clean
	python setup.py check
	python setup.py sdist
	python setup.py bdist_wheel

upload: clean
	pyenv 2.7.11
	python setup.py sdist upload
	python setup.py bdist_wheel upload
	pyenv 3.6.1
	python setup.py bdist_wheel upload
	pyenv local 2.7.11 3.6.1 pypy-5.3.1

=== requirements.txt ===
future
requests
requests_oauthlib

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-twitter.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-twitter.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-twitter"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-twitter"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-twitter (3.3-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/*
   - remove because these patches are not needed for the latest package.
  * debian/control
   - support Python 3 (add python3-twitter package)
   - bump standard version to 4.1.1
   - update build depends for Python 3
  * debian/copyright
   - change the upstream website
  * debian/watch
   - change the upstream website
  * debian/rules, debian/python-twitter.install
   - remove example applications
   - run tests

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 15 Oct 2017 13:55:38 +0900

python-twitter (1.1+git20131227-3) UNRELEASED; urgency=medium

  * Fixed VCS URL (https)

 -- Ondřej Nový <novy@ondrej.org>  Tue, 29 Mar 2016 22:26:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,19 @@
 Source: python-twitter
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Koichi Akabe <vbkaisetsu@gmail.com>
-Build-Depends: debhelper (>= 9.0.0), python (>= 2.7), python-setuptools, python-requests-oauthlib, python-sphinx
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9.0.0), dh-python, python (>= 2.7), python3 (>= 3.5),
+               python-pytest-runner, python3-pytest-runner, python-pytest, python3-pytest,
+               python-responses, python3-responses, python-setuptools, python3-setuptools,
+               python-requests-oauthlib, python3-requests-oauthlib, python3-sphinx,
+               python3-sphinx-rtd-theme
+Standards-Version: 4.1.1
 Homepage: https://github.com/bear/python-twitter
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-twitter/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-twitter/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-twitter.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-twitter.git
 X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.5
 
 Package: python-twitter
 Architecture: all
@@ -16,6 +21,17 @@
 Suggests: www-browser, python-twitter-doc
 Description: Twitter API wrapper for Python
  This library provides a pure Python interface for the Twitter API.
+ .
+ Twitter provides a service that allows people to connect via the web, IM, and
+ SMS. Twitter exposes a web services API (http://twitter.com/help/api) and this
+ library is intended to make it even easier for Python programmers to use.
+
+Package: python3-twitter
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Suggests: www-browser, python-twitter-doc
+Description: Twitter API wrapper for Python 3
+ This library provides a pure Python 3 interface for the Twitter API.
  .
  Twitter provides a service that allows people to connect via the web, IM, and
  SMS. Twitter exposes a web services API (http://twitter.com/help/api) and this

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}/; cp -r {dir}/testdata {build_dir}/
export PYBUILD_TEST_ARGS=-k-test_parse_media_file_http
export PYBUILD_TEST_PYTEST=1
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/tests {build_dir}/testdata

%:
	dh "$@" --with python3,python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	cd $(CURDIR)/doc && $(MAKE) html

override_dh_auto_clean:
	dh_auto_clean
	cd $(CURDIR)/doc && $(MAKE) clean
	rm -rf $(CURDIR)/python_twitter.egg-info
	rm -rf $(CURDIR)/.eggs

override_dh_compress:
	dh_compress -X.js -X.inv

override_dh_sphinxdoc:
	(! test -d $(CURDIR)/debian/python-twitter-doc || dh_sphinxdoc)

# PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
# PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
# VER  = $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')
#
# ## http://wiki.debian.org/onlyjob/get-orig-source
# .PHONY: get-orig-source
# get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
# 	@
#
# UURL = git://github.com/bear/python-twitter.git
# UDATE = $(shell date --rfc-3339=seconds --date='TZ="UTC" $(shell echo $(VER) | perl -ne 'print "$$1-$$2-$$3" if m/\+(?:git|svn|hg)(\d{4})(\d{2})(\d{2})/')')
# $(PKG)_$(VER)$(DTYPE).orig.tar.xz: $(info I: UDATE=$(UDATE))
# 	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
# 	@echo "# Downloading..."
# 	git clone $(UURL) $(PKG)-$(VER) \
# 	|| $(RM) -r $(PKG)-$(VER)
# 	cd $(PKG)-$(VER) \
# 	&& git checkout v$(VER) || git checkout $$(git log -n1 --format=%h --before="$(UDATE)") \
# 	&& [ -s ChangeLog ] || ( echo "# Generating ChangeLog..." \
# 	   ; git log --pretty="format:%ad  %aN  <%aE>%n%n%x09* %s%n" --date=short > ChangeLog \
# 	   ; touch -d "$$(git log -1 --format='%ci')" ChangeLog) \
# 	&& echo "# Setting times..." \
# 	&& for F in $$(git ls-tree -r --name-only HEAD); do touch --no-dereference -d "$$(git log -1 --format="%ai" -- $$F)" "$$F"; done \
# 	&& echo "# Cleaning-up..." \
# 	&& $(RM) -r simplejson doc/_build \
# 	&& $(RM) -r .git .git*
# 	@echo "# Packing..."
# 	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
# 	| XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
# 	&& $(RM) -r "$(PKG)-$(VER)"

=== debian/watch ===
version=4

https://github.com/bear/python-twitter/releases /bear/python-twitter/archive/v(\d[\d.]*)\.tar\.gz  debian uupdate
